Subject: Bug#1554: matlab colors inverted in X2go client

From: Anna Spiers <[email-masked]>
Date: Wed, 21 Jul 2021 20:34:04 -0600

Package: x2goclient

Version: 4.1.2.2 (Qt-4.8.7)

When using Matlab on an Ubuntu linux server accessed through x2goclient,
the Matlab window has inverted colors (e.g., background is black, text is
various colors with different highlighted colors).

I'm using x2go from a 2017 Macbook Pro with MacOS Catalina. I've recently
found the matlab window inverts its colors when the x2goclient window is
off-screen to the left, but when it's completely contained by my monitor
window or slightly off-screen to the right, then the colors are normal.

A similar problem happens on my colleague's 2020 Macbook Pro with MacOS Big
Sur, but no matter how he configures the x2goclient window, his matlab
screen still has inverted colors.